Jump to content

Enhanced Powergaming Scripts


Recommended Posts

3 minutes ago, Endarire said:

@morpheus562
Why does each spell added require 16 scripts?

Each spell mod requires 16 scripts written: 8 for normal speed pre-buffing and 8 for accelerated speed pre-buffing. Lots of duplicate code at least, but there are differences that take time to write. 

Link to post
2 hours ago, ArtificialEnthusiasm said:

I made an account here to thank you for these scripts. They are great and I can't play without them now.

Thank you so much for the kind words! I am so happy you enjoy them!!

Link to post

 

I don't expect anything. I'm posting a bug report and asking if it has anything to do with the version of the game.

 

Quote

You play older versions of the game with mods on your own risk

There is less risk actually, IMO.

Edited by Kentoto
Link to post

@Kentoto sorry if my post sounded annoyed. The game versions 1.3 -> 2.x had a lot of changes. Mods that were updated are most likely no longer compatible with 1.3.

With risk I meant this - even if a mod installs fine on 1.3, there is a high risk there will be incompatibilities ingame if the mod is working for 2.x.

Link to post

@Kentoto Thank you for the  feedback! I made these with v2.5 (now v2.6) compatibility, and sadly v1.3 is missing one of the biggest checks available that helps run ai scripts. With CheckSpellState trigger missing, there is no way to make it compatible with earlier versions like the one you are using without a complete overhaul of the scripts. I appreciate your interest in the scripts, and if you do upgrade to a current version of the game, I hope you give these another chance.

Link to post
Posted (edited)

As far as next steps with these AI scripts go, I am currently working on developing an enhanced AI component for (Fallen) Planetar and (Fallen) Deva. I've been unhappy with any other versions of the AI for these summons, and I am hoping to see a big improvement of how they act as a friendly summon or as an enemy combatant. Right now I am in the process of scripting and haven't even begun doing any testing yet. After that is completed, focus will be on stabilizing the current release by adding any new features/correct bugs (i.e. v2.6 removed all spell tracking for Minor Globe of Invulnerability and Globe of Invulnerability so I'm having to manually add the tracking and update the scripts). 

Long-term timeline/wish list: I'd like to get these working for IWD:EE and original versions (non-ee) of this game. These are long-term and I have not taken any steps to ascertain feasibility and what is required to make it happen. 

Edited by morpheus562
Link to post
On 4/27/2021 at 4:03 PM, morpheus562 said:

@Kentoto Thank you for the  feedback! I made these with v2.5 (now v2.6) compatibility, and sadly v1.3 is missing one of the biggest checks available that helps run ai scripts. With CheckSpellState trigger missing, there is no way to make it compatible with earlier versions like the one you are using without a complete overhaul of the scripts. I appreciate your interest in the scripts, and if you do upgrade to a current version of the game, I hope you give these another chance.

 

I tested on a 2.6 version and it installed perfectly. So yes it was due to the version.  Thanks for your reply.

Edited by Kentoto
Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...